%define module 	Geo-IP
%define version 1.34
%define release %mkrel 1

Summary:	Look up country by IP Address
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Geo/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:  libgeoip-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
This module uses a file based database. This database simply contains 
IP blocks as keys, and countries as values. This database should be 
more complete and accurate than reverse DNS lookups.
This module can be used to automatically select the geographically 
closest mirror, to analyze your web server logs to determine the 
countries of your visiters, for credit card fraud detection, and for 
software export controls.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Geo
%{perl_vendorarch}/auto/Geo
%{_mandir}/*/*



%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.34-1mdv2009.0
+ Revision: 270508
- new version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.31-2mdv2009.0
+ Revision: 268515
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdv2009.0
+ Revision: 194854
- update to new version 1.31
- update to new version 1.31

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30-2mdv2008.1
+ Revision: 152086
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2008.1
+ Revision: 121643
- update to new version 1.30

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 1.28-1mdv2008.0
+ Revision: 49309
- New version


* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdk
- New release 1.27
- CPAN url

* Thu Jul 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- 1.26

* Thu Feb 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.25-1mdk
- 1.25

* Thu Nov 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.23-1mdk
- New release 1.23
- Fix vendorarch dirs in spec; add tests

* Mon Sep 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.22-1mdk
- New release 1.22

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.21-2mdk
- fix buildrequires

* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.21-1mdk
- needed by w3perl

